## portaudio19 19%2Bsvn20140130

=== debian/watch ===
version=3
opts=uversionmangle=s/_/\+svn/;s/_rc// \
 http://www.portaudio.com/archives/pa_stable_v(19_.*)\.t(?:ar\.)?gz

## portaudio19 19.6.0

=== CMakeLists.txt ===
# $Id: $
#
# For a "How-To" please refer to the Portaudio documentation at:
# http://www.portaudio.com/trac/wiki/TutorialDir/Compile/CMake
#

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

# Check if the user is building PortAudio stand-alone or as part of a larger
# project. If this is part of a larger project (i.e. the CMakeLists.txt has
# been imported by some other CMakeLists.txt), we don't want to trump over
# the top of that project's global settings.
IF(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_LIST_DIR})
  IF(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    MESSAGE(STATUS "Setting CMAKE_BUILD_TYPE type to 'Debug' as none was specified.")
    SET(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
    SET_PROPERTY(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release")
  ENDIF()

  PROJECT(portaudio)

  SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)

  IF(WIN32 AND MSVC)
    OPTION(PA_DLL_LINK_WITH_STATIC_RUNTIME "Link with static runtime libraries (minimizes runtime dependencies)" ON)
    IF(PA_DLL_LINK_WITH_STATIC_RUNTIME)
      FOREACH(flag_var
        CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
        CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO
        CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
        CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
        IF(${flag_var} MATCHES "/MD")
          STRING(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
        ENDIF()
      ENDFOREACH()
    ENDIF()
  ENDIF()
ENDIF()

SET(PA_PKGCONFIG_VERSION 19)

# Most of the code from this point onwards is related to populating the
# following variables:
#   PA_PUBLIC_INCLUDES - This contains the list of public PortAudio header
#       files. These files will be copied into /include paths on Unix'y
#       systems when "make install" is invoked.
#   PA_PRIVATE_INCLUDES - This contains the list of header files which
#       are not part of PortAudio, but are required by the various hostapis.
#       It is only used by CMake IDE generators (like Visual Studio) to
#       provide quick-links to useful headers. It has no impact on build
#       output.
#   PA_PRIVATE_INCLUDE_PATHS - This contains the list of include paths which
#       will be passed to the compiler while PortAudio is being built which
#       are not required by applications using the PortAudio API.
#   PA_PRIVATE_COMPILE_DEFINITIONS - This contains a list of preprocessor
#       macro definitions which will be set when compiling PortAudio source
#       files.
#   PA_SOURCES - This contains the list of source files which will be built
#       into the static and shared PortAudio libraries.
#   PA_NON_UNICODE_SOURCES - This also contains a list of source files which
#       will be build into the static and shared PortAudio libraries. However,
#       these sources will not have any unicode compiler definitions added
#       to them. This list should only contain external source dependencies.
#   PA_EXTRA_SHARED_SOURCES - Contains a list of extra files which will be
#       associated only with the shared PortAudio library. This only seems
#       relevant for Windows shared libraries which require a list of export
#       symbols.
# Where other PA_* variables are set, these are almost always only used to
# preserve the historic SOURCE_GROUP behavior (which again only has an impact
# on IDE-style generators for visual appearance) or store the output of
# find_library() calls.

SET(PA_COMMON_INCLUDES
  src/common/pa_allocation.h
  src/common/pa_converters.h
  src/common/pa_cpuload.h
  src/common/pa_debugprint.h
  src/common/pa_dither.h
  src/common/pa_endianness.h
  src/common/pa_hostapi.h
  src/common/pa_memorybarrier.h
  src/common/pa_process.h
  src/common/pa_ringbuffer.h
  src/common/pa_stream.h
  src/common/pa_trace.h
  src/common/pa_types.h
  src/common/pa_util.h
)

SET(PA_COMMON_SOURCES
  src/common/pa_allocation.c
  src/common/pa_converters.c
  src/common/pa_cpuload.c
  src/common/pa_debugprint.c
  src/common/pa_dither.c
  src/common/pa_front.c
  src/common/pa_process.c
  src/common/pa_ringbuffer.c
  src/common/pa_stream.c
  src/common/pa_trace.c
)

SOURCE_GROUP("common" FILES ${PA_COMMON_INCLUDES} ${PA_COMMON_SOURCES})

SET(PA_PUBLIC_INCLUDES include/portaudio.h)

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake_support)

SET(PA_SKELETON_SOURCES src/hostapi/skeleton/pa_hostapi_skeleton.c)
SOURCE_GROUP("hostapi\\skeleton" ${PA_SKELETON_SOURCES})
SET(PA_SOURCES ${PA_COMMON_SOURCES} ${PA_SKELETON_SOURCES})
SET(PA_PRIVATE_INCLUDE_PATHS src/common ${CMAKE_CURRENT_BINARY_DIR})

IF(WIN32)
  SET(PA_PRIVATE_COMPILE_DEFINITIONS ${PA_PRIVATE_COMPILE_DEFINITIONS} _CRT_SECURE_NO_WARNINGS)

  SET(PA_PLATFORM_SOURCES
    src/os/win/pa_win_hostapis.c
    src/os/win/pa_win_util.c
    src/os/win/pa_win_waveformat.c
    src/os/win/pa_win_wdmks_utils.c
    src/os/win/pa_win_coinitialize.c)
  SET(PA_PLATFORM_INCLUDES
    src/os/win/pa_win_coinitialize.h
    src/os/win/pa_win_wdmks_utils.h)

  IF(MSVC)
    SET(PA_PLATFORM_SOURCES ${PA_PLATFORM_SOURCES} src/os/win/pa_x86_plain_converters.c)
    SET(PA_PLATFORM_INCLUDES ${PA_PLATFORM_INCLUDES} src/os/win/pa_x86_plain_converters.h)
  ELSE()
    SET(PA_PRIVATE_COMPILE_DEFINITIONS ${PA_PRIVATE_COMPILE_DEFINITIONS} _WIN32_WINNT=0x0501 WINVER=0x0501)
    SET(DEF_EXCLUDE_X86_PLAIN_CONVERTERS ";")
  ENDIF()

  SOURCE_GROUP("os\\win" FILES ${PA_PLATFORM_SOURCES} ${PA_PLATFORM_INCLUDES})
  SET(PA_SOURCES ${PA_SOURCES} ${PA_PLATFORM_SOURCES})
  SET(PA_PRIVATE_INCLUDES ${PA_PRIVATE_INCLUDES} ${PA_PLATFORM_INCLUDES})
  SET(PA_PRIVATE_INCLUDE_PATHS ${PA_PRIVATE_INCLUDE_PATHS} src/os/win)

  SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} winmm)

  # Try to find ASIO SDK (assumes that portaudio and asiosdk folders are side-by-side, see
  # http://www.portaudio.com/trac/wiki/TutorialDir/Compile/WindowsASIOMSVC)
  FIND_PACKAGE(ASIOSDK)
  IF(ASIOSDK_FOUND)
    OPTION(PA_USE_ASIO "Enable support for ASIO" ON)
  ELSE()
    OPTION(PA_USE_ASIO "Enable support for ASIO" OFF)
  ENDIF()
  IF(PA_USE_ASIO)
    SET(PA_PRIVATE_INCLUDE_PATHS ${PA_PRIVATE_INCLUDE_PATHS} ${ASIOSDK_ROOT_DIR}/common)
    SET(PA_PRIVATE_INCLUDE_PATHS ${PA_PRIVATE_INCLUDE_PATHS} ${ASIOSDK_ROOT_DIR}/host)
    SET(PA_PRIVATE_INCLUDE_PATHS ${PA_PRIVATE_INCLUDE_PATHS} ${ASIOSDK_ROOT_DIR}/host/pc)
    SET(PA_ASIO_SOURCES src/hostapi/asio/pa_asio.cpp src/hostapi/asio/iasiothiscallresolver.cpp)
    SET(PA_ASIOSDK_SOURCES ${ASIOSDK_ROOT_DIR}/common/asio.cpp ${ASIOSDK_ROOT_DIR}/host/pc/asiolist.cpp ${ASIOSDK_ROOT_DIR}/host/asiodrivers.cpp)
    SOURCE_GROUP("hostapi\\ASIO" FILES ${PA_ASIO_SOURCES})
    SOURCE_GROUP("hostapi\\ASIO\\ASIOSDK" FILES ${PA_ASIOSDK_SOURCES})
    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_asio.h)
    SET(PA_SOURCES ${PA_SOURCES} ${PA_ASIO_SOURCES})
    SET(PA_NON_UNICODE_SOURCES ${PA_NON_UNICODE_SOURCES} ${PA_ASIOSDK_SOURCES})
    SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} ole32 uuid)
  ELSE()
    # Set variables for DEF file expansion
    SET(DEF_EXCLUDE_ASIO_SYMBOLS ";")
  ENDIF()

  # Try to find DirectX SDK
  FIND_PACKAGE(DXSDK)
  IF(DXSDK_FOUND)
    OPTION(PA_USE_DS "Enable support for DirectSound" ON)
  ELSE()
    OPTION(PA_USE_DS "Enable support for DirectSound" OFF)
  ENDIF()
  IF(PA_USE_DS)
    OPTION(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE "Use DirectSound full duplex create" ON)
    MARK_AS_ADVANCED(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE)
    IF(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE)
      SET(PA_PRIVATE_COMPILE_DEFINITIONS ${PA_PRIVATE_COMPILE_DEFINITIONS} PAWIN_USE_DIRECTSOUNDFULLDUPLEXCREATE)
    ENDIF()
    SET(PA_PRIVATE_INCLUDE_PATHS ${PA_PRIVATE_INCLUDE_PATHS} ${DXSDK_INCLUDE_DIR})
    SET(PA_DS_INCLUDES src/hostapi/dsound/pa_win_ds_dynlink.h)
    SET(PA_DS_SOURCES src/hostapi/dsound/pa_win_ds.c src/hostapi/dsound/pa_win_ds_dynlink.c)
    SOURCE_GROUP("hostapi\\dsound" FILES ${PA_DS_INCLUDES} ${PA_DS_SOURCES})
    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_ds.h)
    SET(PA_PRIVATE_INCLUDES ${PA_PRIVATE_INCLUDES} ${PA_DS_INCLUDES})
    SET(PA_SOURCES ${PA_SOURCES} ${PA_DS_SOURCES})

    # If we use DirectSound, we need this for the library to be found (if not in VS project settings)
    IF(DXSDK_FOUND)
      SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} ${DXSDK_DSOUND_LIBRARY})
    ENDIF()
  ENDIF()

  OPTION(PA_USE_WMME "Enable support for MME" ON)
  IF(PA_USE_WMME)
    SET(PA_WMME_SOURCES src/hostapi/wmme/pa_win_wmme.c)
    SOURCE_GROUP("hostapi\\wmme" FILES ${PA_WMME_SOURCES})
    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_wmme.h)
    SET(PA_SOURCES ${PA_SOURCES} ${PA_WMME_SOURCES})
    SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} ole32 uuid)
  ENDIF()

  IF(MSVS)
    OPTION(PA_USE_WASAPI "Enable support for WASAPI" ON)
  ELSE()
    # I was unable to get WASAPI to compile outside of Visual Studio. If
    # anyone can figure out how to make this work with MinGW, please fix me.
    SET(PA_USE_WASAPI OFF)
  ENDIF()
  IF(PA_USE_WASAPI)
    SET(PA_WASAPI_SOURCES src/hostapi/wasapi/pa_win_wasapi.c)
    SOURCE_GROUP("hostapi\\wasapi" FILES ${PA_WASAPI_SOURCES})
    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_wasapi.h)
    SET(PA_SOURCES ${PA_SOURCES} ${PA_WASAPI_SOURCES})
    SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} ole32 uuid)
    IF(NOT MSVC)
      SET(PA_PRIVATE_INCLUDE_PATHS ${PA_PRIVATE_INCLUDE_PATHS} src/hostapi/wasapi/mingw-include)
    ENDIF()
  ELSE()
    SET(DEF_EXCLUDE_WASAPI_SYMBOLS ";")
  ENDIF()

  OPTION(PA_USE_WDMKS "Enable support for WDMKS" ON)
  IF(PA_USE_WDMKS)
    SET(PA_WDMKS_SOURCES src/hostapi/wdmks/pa_win_wdmks.c)
    SOURCE_GROUP("hostapi\\wdmks" FILES ${PA_WDMKS_SOURCES})
    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_wdmks.h)
    SET(PA_SOURCES ${PA_SOURCES} ${PA_WDMKS_SOURCES})
    SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} setupapi ole32 uuid)
  ENDIF()

  OPTION(PA_USE_WDMKS_DEVICE_INFO "Use WDM/KS API for device info" ON)
  MARK_AS_ADVANCED(PA_USE_WDMKS_DEVICE_INFO)
  IF(PA_USE_WDMKS_DEVICE_INFO)
    SET(PA_PRIVATE_COMPILE_DEFINITIONS ${PA_PRIVATE_COMPILE_DEFINITIONS} PAWIN_USE_WDMKS_DEVICE_INFO)
  ENDIF()

  SET(GENERATED_MESSAGE "CMake generated file, do NOT edit! Use CMake-GUI to change configuration instead.")
  CONFIGURE_FILE(cmake_support/template_portaudio.def ${CMAKE_CURRENT_BINARY_DIR}/portaudio_cmake.def @ONLY)
  CONFIGURE_FILE(cmake_support/options_cmake.h.in ${CMAKE_CURRENT_BINARY_DIR}/options_cmake.h @ONLY)
  SET(PA_PRIVATE_INCLUDES ${PA_PRIVATE_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR}/options_cmake.h)
  SET(PA_PRIVATE_COMPILE_DEFINITIONS ${PA_PRIVATE_COMPILE_DEFINITIONS} PORTAUDIO_CMAKE_GENERATED)
  SOURCE_GROUP("cmake_generated" FILES ${CMAKE_CURRENT_BINARY_DIR}/portaudio_cmake.def ${CMAKE_CURRENT_BINARY_DIR}/options_cmake.h)

  SET(PA_EXTRA_SHARED_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/portaudio_cmake.def)

ELSE()

  SET(PA_PRIVATE_INCLUDE_PATHS ${PA_PRIVATE_INCLUDE_PATHS} src/os/unix)
  SET(PA_PLATFORM_SOURCES src/os/unix/pa_unix_hostapis.c src/os/unix/pa_unix_util.c)
  SOURCE_GROUP("os\\unix" FILES ${PA_PLATFORM_SOURCES})
  SET(PA_SOURCES ${PA_SOURCES} ${PA_PLATFORM_SOURCES})

  IF(APPLE)

    SET(CMAKE_MACOSX_RPATH 1)
    OPTION(PA_USE_COREAUDIO "Enable support for CoreAudio" ON)
    IF(PA_USE_COREAUDIO)
      SET(PA_COREAUDIO_SOURCES
        src/hostapi/coreaudio/pa_mac_core.c
        src/hostapi/coreaudio/pa_mac_core_blocking.c
        src/hostapi/coreaudio/pa_mac_core_utilities.c)
      SET(PA_COREAUDIO_INCLUDES
        src/hostapi/coreaudio/pa_mac_core_blocking.h
        src/hostapi/coreaudio/pa_mac_core_utilities.h)
      SOURCE_GROUP("hostapi\\coreaudio" FILES ${PA_COREAUDIO_SOURCES} ${PA_COREAUDIO_INCLUDES})
      SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_mac_core.h)
      SET(PA_PRIVATE_INCLUDES ${PA_PRIVATE_INCLUDES} ${PA_COREAUDIO_INCLUDES})

## portaudio19 19+svn20100802

=== debian/changelog ===
portaudio19 (19+svn20100802-0ubuntu1) maverick; urgency=low

  [ Luke Yelavich ]
  * New upstream snapshot

  Changes from unreleased Debian SVN:

  [ Kilian Krause ]
  * Alter Build-Depends from libjack0.100.0-dev to libjack-dev (Closes: #527423)

  [ Benjamin Drung ]
  * New upstream snapshot (Closes: #560111).
  * Add myself to Uploaders.
  * Refresh get-orig-source rule.
  * Switch to debhelper 7 and use dh.
  * Build agains libjack on all architectures (Closes: #472574).
  * Bump Standards-Version to 3.8.4.
  * Add ${misc:Depends} to dependencies.
  * Update debian/copyright.
  * Drop dpatch and switch to dpkg-source 3.0 (quilt) format.
  * Replace 01_config.dpatch by config.patch.
  * Add audacity-portmixer.patch for adding features needed to make portmixer
    work with audacity.
  * Add .symbols files to library packages.
  * portaudio19-dev depends on libportaudiocpp0.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 03 Aug 2010 14:22:39 +1000

portaudio19 (19+svn20071022-3) unstable; urgency=low

  [ Patrick Matthäi ]
  * Fixed doc-base section.
  * Removed extra whitespaces at after the Abstract field in the doc-base.
    Thanks lintian.

  [ Mark Purcell ]
  * paravoid fixed lintian:xs-vcs-header-in-debian-control
  * Fix lintian:debian-watch-file-is-missing

 -- Mark Purcell <msp@debian.org>  Sun, 12 Oct 2008 15:35:36 +1100

portaudio19 (19+svn20071022-2) unstable; urgency=low

  * Vanilla 'dh_makeshlibs -a' does correct magic
    - shlibs file incorrect: does not force dependency on libportaudiocpp0
    (Closes: #447819)
  * We only support upgrades from stable/etch 19+svn20060825-1, thus
    libportaudio2 (>= 19+cvs20060311-1) is unnecssary

 -- Mark Purcell <msp@debian.org>  Thu, 25 Oct 2007 06:59:26 +0100

portaudio19 (19+svn20071022-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release
    - libportaudio2: new snapshot (Closes: #447338)

  [ Kilian Krause ]
  * Use ${binary:Version} for binNMU-safe uploads.
    Add dpkg-dev (>= 1.13.19) to Build-Depends
  * Don't ignore make clean errors.
  * Fix dh_makeshlibs call. Get rid of libportaudiocpp0 binary:
    shlibs-declares-dependency-on-other-package libportaudio2.
  * Add Homepage field as added in dpkg-dev 1.14.6.

 -- Mark Purcell <msp@debian.org>  Tue, 23 Oct 2007 07:13:43 +0100

portaudio19 (19+svn20070125-1) unstable; urgency=low

  [ Mikael Magnusson ]
  * Update to svn 20070125 (r1174)
  * Disable JACK and ringbuffer on all architectures except i386 and
    powerpc.  (Closes: #406754: FTBFS: #error Memory barriers are not
    defined on this system)

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Sun, 25 Mar 2007 17:04:32 +0100

portaudio19 (19+svn20070113-1) unstable; urgency=low

  * New upstream release
  * debian/rules: add binary-indep
  * FTBFS on GNU/kFreeBSD  (due to unsatisfied Build-Depends on
    libasound2-dev) (Closes: #401052)
  * FTBFS on GNU/kFreeBSD (pa_unix_oss support) (Closes: #406717)

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Sat, 13 Jan 2007 12:18:36 +0100

portaudio19 (19+svn20060825-1) unstable; urgency=low

  * Initial release. (Closes: #328873: portaudio: please package v19)
  * Disable V18 compatibility and bump shlib dependency
  * Change SONAME to libportaudio2.so
  * Updated debian/copyright with more copyright holders and added the
    licence interpretation from the PortAudio web site.
  * Updated package descriptions and added homepage url:s.
  * Removed unused patches: 20_compat and 30_alsa.
  * Removed patches applied by upstream: 40_vpath_libtool and
    41_vpath_libtool_gen.
  * Fixed path to low_latency_tip.txt, moved by upstream.
  * Add print-version and get-orig-source targets to rules.
  * Include C++ bindings.
  * Rename libportaudio2-dev to portaudio19-dev, since it contains the
    developer files for both the libportaudio2 and libportaudiocpp0
    packages. Also rename libportaudio2-doc to portaudio19-doc.
  * Include C++ examples.
  * Bump Standards-Version to 3.7.2. No changes required.
  * Removed old documents and added doxygen generated documentation.
  * Updated copyright, license modified by upstream.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Thu, 24 Aug 2006 14:23:41 +0200

portaudio19 (19+20041112-3) experimental; urgency=low

  * Enabled OSS and JACK

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Tue,  1 Mar 2005 20:08:03 +0100

portaudio19 (19+20041112-2) experimental; urgency=low

  * Added missing depends to libportaudio19-dev: libasound2-dev, libjack-dev

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Fri, 19 Nov 2004 00:15:00 +0100

portaudio19 (19+20041112-1) experimental; urgency=low

  * New upstream release
  * VPATH support in Makefile.in

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Sat, 13 Nov 2004 12:16:47 +0100

portaudio19 (19+20041104-1) experimental; urgency=low

  * New upstream release

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Thu,  4 Nov 2004 16:46:48 +0100

portaudio19 (19+20040729-2) experimental; urgency=low

  * Added V18 compatibility.
  * ALSA: Support of multiple devices for each card.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Wed,  3 Nov 2004 15:56:49 +0100

portaudio19 (19+20040729-1) experimental; urgency=low

  * -D_REENTRANT must be specified when building libraries.
  * Enforce symbol resolution at build time with -Wl,-z,defs.
  * Fixed CFLAGS in configure.
  * Link with libm and libpthread.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Wed, 29 Sep 2004 20:24:20 +0200

portaudio19 (19+20040729-0) experimental; urgency=low

  * Initial Release.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Tue, 28 Sep 2004 14:40:10 +0200

=== debian/control ===
Source: portaudio19
Priority: optional
Section: sound
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Kilian Krause <kilian@debian.org>,
           Jose Carlos Garcia Sogo <jsogo@debian.org>,
           Mark Purcell <msp@debian.org>,
           Mikael Magnusson <mikma@users.sourceforge.net>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               doxygen,
               dpkg-dev (>= 1.13.19),
               libasound2-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
               libjack-dev
Standards-Version: 3.8.4
Homepage: http://www.portaudio.com/
Vcs-Svn: svn://svn.debian.org/pkg-voip/portaudio19/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/portaudio19/?op=log

Package: libportaudio2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable audio I/O - shared library
 PortAudio is a portable audio I/O library designed for cross-platform
 support of audio. It uses a callback mechanism to request audio
 processing.  Audio can be generated in various formats, including 32
 bit floating point, and will be converted to the native format
 internally.
 .
 This package contains the shared library.

Package: libportaudiocpp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable audio I/O C++ bindings - shared library
 PortAudio is a portable audio I/O library designed for cross-platform
 support of audio. It uses a callback mechanism to request audio
 processing.  Audio can be generated in various formats, including 32
 bit floating point, and will be converted to the native format
 internally.
 .
 This package contains the shared library of the C++ bindings.

Package: portaudio19-dev
Section: devel
Architecture: any
Depends: libasound2-dev [linux-any],
         libjack-dev,
         libportaudio2 (= ${binary:Version}),
         libportaudiocpp0 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libportaudio-dev, libportaudio19-dev, libportaudio-19-dev
Replaces: libportaudio19-dev, libportaudio-19-dev
Description: Portable audio I/O - development files
 PortAudio is a portable audio I/O library designed for cross-platform
 support of audio. It uses a callback mechanism to request audio
 processing.  Audio can be generated in various formats, including 32
 bit floating point, and will be converted to the native format
 internally.
 .
 This package contains the development files.

Package: portaudio19-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Portable audio I/O - documentation
 PortAudio is a portable audio I/O library designed for cross-platform
 support of audio. It uses a callback mechanism to request audio
 processing.  Audio can be generated in various formats, including 32
 bit floating point, and will be converted to the native format
 internally.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g -D_REENTRANT

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -f bindings/cpp/Makefile ] || $(MAKE) distclean -C bindings/cpp
	rm -f bindings/cpp/doc/Makefile bindings/cpp/libtool doc/html/*

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure --enable-cxx --prefix=/usr \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)

override_dh_auto_build:
	$(MAKE)
	doxygen

DEBVERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
UPDATE:=$(shell echo $(UPVERSION) | sed -e 's/^.*\+svn//')

FILENAME := portaudio19_$(UPVERSION).orig.tar.gz
URL := https://www.portaudio.com/repos/portaudio/trunk
SRCDIR := portaudio19-$(UPVERSION)

get-orig-source:
	@dh_testdir
	@mkdir -p ../tarballs
	@echo Downloading $(FILENAME) from $(URL) ...
	@svn export -r{$(UPDATE)T0000Z} $(URL) ../tarballs/$(SRCDIR)
	@echo Building snapshot tarball
	@GZIP=-9 tar -caf ../tarballs/$(FILENAME) -C ../tarballs $(SRCDIR)
	@echo Cleaning up
	@rm -rf ../tarballs/$(SRCDIR)

## portaudio19 19+svn20110317

=== debian/changelog ===
portaudio19 (19+svn20110317-1) unstable; urgency=low

  * New upstream stable release candidate.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 18 Mar 2011 15:05:49 +0100

portaudio19 (19+svn20110302-1) unstable; urgency=low

  * New upstream stable release candidate.
  * Drop patches that were accepted upstream.
  * Refresh audacity-portmixer.patch.
  * Add new PaAlsa_SetLibraryPathName@Base to libportaudio2 symbols.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 05 Mar 2011 13:02:48 +0100

portaudio19 (19+svn20101113-3) unstable; urgency=low

  * Install headers for portAudio backends.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 26 Feb 2011 16:01:54 +0100

portaudio19 (19+svn20101113-2) unstable; urgency=low

  * Export OSS functions.
  * Disable parallel build which can lead to a build failure.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 25 Feb 2011 00:51:02 +0100

portaudio19 (19+svn20101113-1) unstable; urgency=low

  [ Kilian Krause ]
  * Alter Build-Depends from libjack0.100.0-dev to libjack-dev (Closes: #527423)

  [ Benjamin Drung ]
  * New upstream snapshot (Closes: #560111).
  * Add myself to Uploaders.
  * Refresh get-orig-source rule.
  * Switch to debhelper 8 and use dh.
  * Build agains libjack on all architectures (Closes: #472574).
  * Bump Standards-Version to 3.9.1.
  * Add ${misc:Depends} to dependencies.
  * Update debian/copyright.
  * Drop dpatch and switch to dpkg-source 3.0 (quilt) format.
  * Replace 01_config.dpatch by running autoreconf (Closes: #558621).
  * Add audacity-portmixer.patch for adding features needed to make portmixer
    work with audacity.
  * Add .symbols files to library packages.
  * portaudio19-dev depends on libportaudiocpp0.
  * Do not install .la file.
  * Remove Mikael Magnusson from Uploaders. Thanks for your work.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 21 Feb 2011 00:41:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: portaudio19
 Priority: optional
 Section: sound
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>,
            Jose Carlos Garcia Sogo <jsogo@debian.org>,
            Mark Purcell <msp@debian.org>,
-           Mikael Magnusson <mikma@users.sourceforge.net>,
-           Benjamin Drung <bdrung@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
+           Benjamin Drung <bdrung@debian.org>
+Build-Depends: automake,
+               debhelper (>= 8),
+               dh-autoreconf,
                doxygen,
                dpkg-dev (>= 1.13.19),
                libasound2-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
                libjack-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.portaudio.com/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/portaudio19/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/portaudio19/?op=log
@@ -21,7 +21,7 @@
 Package: libportaudio2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable audio I/O - shared library
  PortAudio is a portable audio I/O library designed for cross-platform
  support of audio. It uses a callback mechanism to request audio
@@ -34,7 +34,7 @@
 Package: libportaudiocpp0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable audio I/O C++ bindings - shared library
  PortAudio is a portable audio I/O library designed for cross-platform
  support of audio. It uses a callback mechanism to request audio
@@ -52,8 +52,8 @@
          libportaudio2 (= ${binary:Version}),
          libportaudiocpp0 (= ${binary:Version}),
          ${misc:Depends}
-Conflicts: libportaudio-dev, libportaudio19-dev, libportaudio-19-dev
-Replaces: libportaudio19-dev, libportaudio-19-dev
+Conflicts: libportaudio-19-dev, libportaudio-dev, libportaudio19-dev
+Replaces: libportaudio-19-dev, libportaudio19-dev
 Description: Portable audio I/O - development files
  PortAudio is a portable audio I/O library designed for cross-platform
  support of audio. It uses a callback mechanism to request audio

=== debian/watch ===
# See uscan(1) for format

version=3

#http://www.portaudio.com/archives/pa_stable_v19_(.*).tar.gz

opts=dversionmangle=s/+svn/_/ \
 http://www.portaudio.com/archives/pa_stable_v(19_.*).tar.gz

## portaudio19 19+svn20110326

=== debian/changelog ===
portaudio19 (19+svn20110326-2) unstable; urgency=low

  * Acknowledge NMU.
  * Use linux-any instead of hardcoded list of non-Linux architectures.
    (Closes: #634610)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 20 Jul 2011 01:49:33 +0200

portaudio19 (19+svn20110326-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add debian/patches/static-lib.patch to fix generation of libportaudio.a
    (Closes: #626307).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jun 2011 22:52:31 +0200

portaudio19 (19+svn20110326-1) unstable; urgency=low

  * New upstream stable release.
  * Update debian/watch.
  * Refresh audacity-portmixer.patch.
  * Bump Standards-Version to 3.9.2 (no changes required).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 16 Apr 2011 20:29:15 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                dh-autoreconf,
                doxygen,
                dpkg-dev (>= 1.13.19),
-               libasound2-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
+               libasound2-dev [linux-any],
                libjack-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.portaudio.com/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/portaudio19/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/portaudio19/?op=log

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f bindings/cpp/Makefile ] || $(MAKE) distclean -C bindings/cpp
	rm -f bindings/cpp/doc/Makefile doc/html/*

override_dh_auto_configure:
	dh_auto_configure -- --enable-cxx

override_dh_auto_build:
	dh_auto_build
	doxygen
	# Work around Debian bug #622147
	rm -f doc/html/jquery.js

DEBVERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
UPDATE:=$(shell echo $(UPVERSION) | sed -e 's/^.*\+svn//')

FILENAME := portaudio19_$(UPVERSION).orig.tar.gz
URL := https://www.portaudio.com/repos/portaudio/trunk
SRCDIR := portaudio19-$(UPVERSION)

get-orig-source:
	@dh_testdir
	@mkdir -p ../tarballs
	@echo Downloading $(FILENAME) from $(URL) ...
	@svn export -r{$(UPDATE)T0000Z} $(URL) ../tarballs/$(SRCDIR)
	@echo Building snapshot tarball
	@GZIP=-9 tar -caf ../tarballs/$(FILENAME) -C ../tarballs $(SRCDIR)
	@echo Cleaning up
	@rm -rf ../tarballs/$(SRCDIR)

=== debian/watch ===
version=3
opts=uversionmangle=s/_/\+svn/ \
 http://www.portaudio.com/archives/pa_stable_v(19_.*)\.t(?:ar\.)?gz

## portaudio19 19+svn20111121

=== debian/changelog ===
portaudio19 (19+svn20111121-1) unstable; urgency=low

  * New upstream stable release.
  * Refresh audacity-portmixer.patch.
  * Drop static-lib.patch (accepted upstream).
  * Transition to Multi-Arch: same; thanks to Gregory Hainaut for the
    patch (Closes: #645123).

 -- Benjamin Drung <bdrung@debian.org>  Thu, 08 Dec 2011 00:03:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mark Purcell <msp@debian.org>,
            Benjamin Drung <bdrung@debian.org>
 Build-Depends: automake,
-               debhelper (>= 8),
+               debhelper (>= 8.1.3),
                dh-autoreconf,
                doxygen,
                dpkg-dev (>= 1.13.19),
@@ -21,6 +21,8 @@
 Package: libportaudio2
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable audio I/O - shared library
  PortAudio is a portable audio I/O library designed for cross-platform
@@ -34,6 +36,8 @@
 Package: libportaudiocpp0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable audio I/O C++ bindings - shared library
  PortAudio is a portable audio I/O library designed for cross-platform

## portaudio19 19+svn20140130

=== debian/changelog ===
portaudio19 (19+svn20140130-1) unstable; urgency=medium

  * New upstream release.
  * Let portaudio19-dev suggest portaudio19-doc. (Closes: #735538)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 16 Feb 2014 00:26:56 +0100

portaudio19 (19+svn20140114-1) unstable; urgency=medium

  * New upstream release candidate.
  * debian/watch: Strip _rc from upstream version.
  * Bump Standards-Version to 3.9.5.
  * Refresh portmixer patch.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 15 Jan 2014 23:17:51 +0100

portaudio19 (19+svn20111121-2) unstable; urgency=low

  * Bump debhelper to version 9 and drop the lintian override.
  * Use canonical URLs for Vcs fields.
  * Bump Standards-Version to 3.9.4 (no changes needed).

 -- Benjamin Drung <bdrung@debian.org>  Wed, 02 Oct 2013 01:25:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
            Mark Purcell <msp@debian.org>,
            Benjamin Drung <bdrung@debian.org>
 Build-Depends: automake,
-               debhelper (>= 8.1.3),
+               debhelper (>= 9),
                dh-autoreconf,
                doxygen,
                dpkg-dev (>= 1.13.19),
                libasound2-dev [linux-any],
                libjack-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://www.portaudio.com/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/portaudio19/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/portaudio19/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-voip/portaudio19/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/portaudio19/trunk/
 
 Package: libportaudio2
 Section: libs
@@ -56,6 +56,7 @@
          libportaudio2 (= ${binary:Version}),
          libportaudiocpp0 (= ${binary:Version}),
          ${misc:Depends}
+Suggests: portaudio19-doc
 Conflicts: libportaudio-19-dev, libportaudio-dev, libportaudio19-dev
 Replaces: libportaudio-19-dev, libportaudio19-dev
 Description: Portable audio I/O - development files

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,6 @@
 override_dh_auto_build:
 	dh_auto_build
 	doxygen
-	# Work around Debian bug #622147
-	rm -f doc/html/jquery.js
 
 DEBVERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')

## portaudio19 19.6.0

=== debian/changelog ===
portaudio19 (19.6.0-1.2build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:21:10 +0000

portaudio19 (19.6.0-1.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:15:27 +0000

portaudio19 (19.6.0-1.2build1) noble; urgency=medium

  * No change rebuild to fix the libasound co-installability

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Feb 2024 20:28:00 +0100

portaudio19 (19.6.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Work around autoconf weirdness to fix FTBFS (Closes: #997360)
  * Explicitly Build-Depend on pkg-config (Closes: #861236)
  * portaudio19-dev: alternate Depends on libjack-jackd2-dev (Closes: #718221)
  * Update uploaders list (Closes: #862625)
  * Point to correct package git repo (Closes: #985041)
  * Point debian/watch to upstream's new repo on GitHub

 -- Florian Ernst <florian@debian.org>  Sun, 03 Apr 2022 18:44:37 +0200

portaudio19 (19.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply crash fix patch (Closes: #944509)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 30 Jul 2020 16:27:02 +0200

portaudio19 (19.6.0-1) unstable; urgency=medium

  * New upstream release v190600_20161030
  * Update debian/watch to match upstream release 19.6.0
  * Move packaging repository to git and update Vcs links
  * Refresh audacity-portmixer.patch
  * Drop alsa lockup fix patch (included in upstream release)
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Add new Pa_GetVersionInfo@Base symbol to libportaudio2
  * Enable all hardening flags
  * Link jquery.js file to the one provided by libjs-jquery
  * Drop get-orig-source rule (upstream moved from svn to git)
  * Mark portaudio19-dev Multi-Arch: same and portaudio19-doc foreign

 -- Benjamin Drung <bdrung@debian.org>  Sun, 25 Dec 2016 22:08:34 +0100

portaudio19 (19+svn20140130-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix lockups in portaudio after upgrading to alsa-lib 1.1.2
    (Closes: #833950)
  * Build only PIC objects (Closes: #837424)
  * Move portaudio19-dev to section libdevel (Closes: #813990)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 29 Sep 2016 14:34:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: portaudio19
 Priority: optional
 Section: sound
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>,
-           Jose Carlos Garcia Sogo <jsogo@debian.org>,
            Mark Purcell <msp@debian.org>,
            Benjamin Drung <bdrung@debian.org>
 Build-Depends: automake,
@@ -12,11 +12,12 @@
                doxygen,
                dpkg-dev (>= 1.13.19),
                libasound2-dev [linux-any],
-               libjack-dev
-Standards-Version: 3.9.5
+               libjack-dev,
+               pkg-config
+Standards-Version: 3.9.8
 Homepage: http://www.portaudio.com/
-Vcs-Svn: svn://anonscm.debian.org/pkg-voip/portaudio19/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/portaudio19/trunk/
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/portaudio19
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/portaudio19.git
 
 Package: libportaudio2
 Section: libs
@@ -49,10 +50,11 @@
  This package contains the shared library of the C++ bindings.
 
 Package: portaudio19-dev
-Section: devel
+Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libasound2-dev [linux-any],
-         libjack-dev,
+         libjack-jackd2-dev | libjack-dev,
          libportaudio2 (= ${binary:Version}),
          libportaudiocpp0 (= ${binary:Version}),
          ${misc:Depends}
@@ -71,7 +73,8 @@
 Package: portaudio19-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Depends: libjs-jquery, ${misc:Depends}
 Description: Portable audio I/O - documentation
  PortAudio is a portable audio I/O library designed for cross-platform
  support of audio. It uses a callback mechanism to request audio

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f bindings/cpp/Makefile ] || $(MAKE) distclean -C bindings/cpp
	rm -f bindings/cpp/doc/Makefile doc/html/*

override_dh_auto_configure:
	# autoreconf again to work around autoconf weirdness, cf. debbug#997360
	# and https://bugzilla.redhat.com/show_bug.cgi?id=1943118
	autoreconf -i -f
	dh_auto_configure -- --enable-cxx -with-pic=yes

override_dh_auto_build:
	dh_auto_build
	doxygen

## portaudio19 19.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,13 +11,16 @@
 # been imported by some other CMakeLists.txt), we don't want to trump over
 # the top of that project's global settings.
 IF(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_LIST_DIR})
+  PROJECT(portaudio)
+
+  # CMAKE_CONFIGURATION_TYPES only exists for multi-config generators (like
+  # Visual Studio or Xcode). For these projects, we won't define
+  # CMAKE_BUILD_TYPE as it does not make sense.
   IF(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
     MESSAGE(STATUS "Setting CMAKE_BUILD_TYPE type to 'Debug' as none was specified.")
     SET(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
     SET_PROPERTY(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release")
   ENDIF()
-
-  PROJECT(portaudio)
 
   SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)
 
@@ -37,7 +40,9 @@
   ENDIF()
 ENDIF()
 
-SET(PA_PKGCONFIG_VERSION 19)
+SET(PA_VERSION 19)
+SET(PA_PKGCONFIG_VERSION ${PA_VERSION})
+SET(PA_SOVERSION "${PA_VERSION}.0")
 
 # Most of the code from this point onwards is related to populating the
 # following variables:
@@ -164,58 +169,46 @@
     SET(DEF_EXCLUDE_ASIO_SYMBOLS ";")
   ENDIF()
 
-  # Try to find DirectX SDK
-  FIND_PACKAGE(DXSDK)
-  IF(DXSDK_FOUND)
-    OPTION(PA_USE_DS "Enable support for DirectSound" ON)
-  ELSE()
-    OPTION(PA_USE_DS "Enable support for DirectSound" OFF)
-  ENDIF()
+  OPTION(PA_USE_DS "Enable support for DirectSound" ON)
   IF(PA_USE_DS)
-    OPTION(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE "Use DirectSound full duplex create" ON)
+    IF(MINGW)
+      MESSAGE(STATUS "DirectSound support will be built with DSound provided by MinGW.")
+      OPTION(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE "Use DirectSound full duplex create" OFF)
+    ELSE(MINGW)
+      OPTION(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE "Use DirectSound full duplex create" ON)
+    ENDIF(MINGW)
     MARK_AS_ADVANCED(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE)
     IF(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE)
       SET(PA_PRIVATE_COMPILE_DEFINITIONS ${PA_PRIVATE_COMPILE_DEFINITIONS} PAWIN_USE_DIRECTSOUNDFULLDUPLEXCREATE)
     ENDIF()
-    SET(PA_PRIVATE_INCLUDE_PATHS ${PA_PRIVATE_INCLUDE_PATHS} ${DXSDK_INCLUDE_DIR})
     SET(PA_DS_INCLUDES src/hostapi/dsound/pa_win_ds_dynlink.h)
     SET(PA_DS_SOURCES src/hostapi/dsound/pa_win_ds.c src/hostapi/dsound/pa_win_ds_dynlink.c)
     SOURCE_GROUP("hostapi\\dsound" FILES ${PA_DS_INCLUDES} ${PA_DS_SOURCES})
-    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_ds.h)
+    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_ds.h include/pa_win_waveformat.h)
     SET(PA_PRIVATE_INCLUDES ${PA_PRIVATE_INCLUDES} ${PA_DS_INCLUDES})
     SET(PA_SOURCES ${PA_SOURCES} ${PA_DS_SOURCES})
-
-    # If we use DirectSound, we need this for the library to be found (if not in VS project settings)
-    IF(DXSDK_FOUND)
-      SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} ${DXSDK_DSOUND_LIBRARY})
-    ENDIF()
-  ENDIF()
+    SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} dsound)
+  ENDIF(PA_USE_DS)
 
   OPTION(PA_USE_WMME "Enable support for MME" ON)
   IF(PA_USE_WMME)
     SET(PA_WMME_SOURCES src/hostapi/wmme/pa_win_wmme.c)
     SOURCE_GROUP("hostapi\\wmme" FILES ${PA_WMME_SOURCES})
-    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_wmme.h)
+    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_wmme.h include/pa_win_waveformat.h)
     SET(PA_SOURCES ${PA_SOURCES} ${PA_WMME_SOURCES})
     SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} ole32 uuid)
   ENDIF()
 
-  IF(MSVS)
-    OPTION(PA_USE_WASAPI "Enable support for WASAPI" ON)
-  ELSE()
-    # I was unable to get WASAPI to compile outside of Visual Studio. If
-    # anyone can figure out how to make this work with MinGW, please fix me.
-    SET(PA_USE_WASAPI OFF)
-  ENDIF()
+  # MinGW versions below 4.93, especially non MinGW-w64 distributions may
+  # break in the wasapi build. If an older MinGW version is required, WASAPI-
+  # support needs to be disabled.
+  OPTION(PA_USE_WASAPI "Enable support for WASAPI" ON)
   IF(PA_USE_WASAPI)
     SET(PA_WASAPI_SOURCES src/hostapi/wasapi/pa_win_wasapi.c)
     SOURCE_GROUP("hostapi\\wasapi" FILES ${PA_WASAPI_SOURCES})
-    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_wasapi.h)
+    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_wasapi.h include/pa_win_waveformat.h)
     SET(PA_SOURCES ${PA_SOURCES} ${PA_WASAPI_SOURCES})
     SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} ole32 uuid)
-    IF(NOT MSVC)
-      SET(PA_PRIVATE_INCLUDE_PATHS ${PA_PRIVATE_INCLUDE_PATHS} src/hostapi/wasapi/mingw-include)
-    ENDIF()
   ELSE()
     SET(DEF_EXCLUDE_WASAPI_SYMBOLS ";")
   ENDIF()

=== examples/CMakeLists.txt ===
# Example projects

MACRO(ADD_EXAMPLE appl_name)
  ADD_EXECUTABLE(${appl_name} "${appl_name}.c")
  TARGET_LINK_LIBRARIES(${appl_name} portaudio_static)
  SET_TARGET_PROPERTIES(${appl_name} PROPERTIES FOLDER "Examples C")
  IF(WIN32)
    SET_PROPERTY(TARGET ${appl_name} APPEND_STRING PROPERTY COMPILE_DEFINITIONS _CRT_SECURE_NO_WARNINGS)
  ENDIF()
ENDMACRO(ADD_EXAMPLE)

MACRO(ADD_EXAMPLE_CPP appl_name)
  ADD_EXECUTABLE(${appl_name} "${appl_name}.cpp")
  TARGET_LINK_LIBRARIES(${appl_name} portaudio_static)
  SET_TARGET_PROPERTIES(${appl_name} PROPERTIES FOLDER "Examples C++")
  IF(WIN32)
    SET_PROPERTY(TARGET ${appl_name} APPEND_STRING PROPERTY COMPILE_DEFINITIONS _CRT_SECURE_NO_WARNINGS)
  ENDIF()
ENDMACRO(ADD_EXAMPLE_CPP)

ADD_EXAMPLE(pa_devs)
ADD_EXAMPLE(pa_fuzz)
IF(PA_USE_ASIO AND WIN32)
  ADD_EXAMPLE(paex_mono_asio_channel_select)
ENDIF()
ADD_EXAMPLE(paex_ocean_shore)
TARGET_INCLUDE_DIRECTORIES(paex_ocean_shore PRIVATE ../src/common)
ADD_EXAMPLE(paex_pink)
ADD_EXAMPLE(paex_read_write_wire)
ADD_EXAMPLE(paex_record)
ADD_EXAMPLE(paex_record_file)
TARGET_INCLUDE_DIRECTORIES(paex_record_file PRIVATE ../src/common)
ADD_EXAMPLE(paex_saw)
ADD_EXAMPLE(paex_sine)
ADD_EXAMPLE_CPP(paex_sine_c++)
IF(PA_USE_WMME AND WIN32)
  ADD_EXAMPLE(paex_wmme_ac3)
  ADD_EXAMPLE(paex_wmme_surround)
ENDIF()
ADD_EXAMPLE(paex_write_sine)
ADD_EXAMPLE(paex_write_sine_nonint)

=== debian/changelog ===
portaudio19 (19.7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1003575)
  * Drop 944509-crash.patch (fixed upstream)
  * Refresh remaining patches
  * portaudio19-doc: Update README file name and drop removed index.html
  * portaudio19-doc: drop doc subdirectory
  * Replace pkg-config build dependency by pkgconf
  * Add Build-Depends-Package to libportaudio2 symbols
  * Switch to debhelper 13
  * Bump Standards-Version to 4.7.2

 -- Benjamin Drung <bdrung@debian.org>  Sat, 11 Oct 2025 23:08:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: portaudio19
 Priority: optional
 Section: sound
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>,
            Mark Purcell <msp@debian.org>,
            Benjamin Drung <bdrung@debian.org>
-Build-Depends: automake,
-               debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.13.19),
+               automake,
                doxygen,
-               dpkg-dev (>= 1.13.19),
                libasound2-dev [linux-any],
                libjack-dev,
-               pkg-config
-Standards-Version: 3.9.8
+               pkgconf
+Standards-Version: 4.7.2
 Homepage: http://www.portaudio.com/
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/portaudio19
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/portaudio19.git

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --no-parallel
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/PortAudio/portaudio/tags \
    (?:.*?/)?v(\d[\d.]*)\.tar\.gz
